# Button Control

(PHP 7, UI 0.9.9)

## Introduction

Represents a labelled clickable button

## Class synopsis

UI\Controls\Button extends UI\Control {
/* Constructor */
public __construct ( string `$text` )
/* Methods */
public getText ( void ) : string
protected onClick ( void )
public setText ( string `$text` )
/* Inherited methods */
public UI\Control::destroy ( void )
public UI\Control::disable ( void )
public UI\Control::enable ( void )
public UI\Control::getParent ( void ) : UI\Control
public UI\Control::getTopLevel ( void ) : int
public UI\Control::hide ( void )
public UI\Control::isEnabled ( void ) : bool
public UI\Control::isVisible ( void ) : bool
public UI\Control::setParent ( UI\Control `$parent` )
public UI\Control::show ( void )
}

## Table of Contents

- UI\Controls\Button::__construct — Construct a new Button
- UI\Controls\Button::getText — Get Text
- UI\Controls\Button::onClick — Click Handler
- UI\Controls\Button::setText — Set Text